From: Eugeniy Meshcheryakov <eugen@debian.org>
Subject: Use portray(true) in calls to write_term
Forwarded: not-needed
--- a/checker/portray.pro
+++ b/checker/portray.pro
@@ -57,7 +57,7 @@
            AP > Pred
         ),
         write('('),
-        write_term(A, [priority(Pred), portrayed(true), numbervars(true)]),
+        write_term(A, [priority(Pred), portrayed(true), portray(true), numbervars(true)]),
         write(')')
     ;
         (
@@ -67,7 +67,7 @@
            F \= xfx, 
            AP =< Pred /* not case 2 */
         ),
-        write_term(A, [priority(Pred), portrayed(true), numbervars(true)])
+        write_term(A, [priority(Pred), portrayed(true), portray(true), numbervars(true)])
     ),
     write(' '),
     write(Name_Atom),
@@ -80,11 +80,11 @@
         /* For example, we want "A + (B + C)" NOT "A + B + C"                            */
         BP >= Pred,
         write('('),
-        write_term(B, [priority(Pred), portrayed(true), numbervars(true)]),
+        write_term(B, [priority(Pred), portrayed(true), portray(true), numbervars(true)]),
         write(')')
     ;
         BP < Pred,
-        write_term(B, [priority(Pred), portrayed(true), numbervars(true)])
+        write_term(B, [priority(Pred), portrayed(true), portray(true), numbervars(true)])
     ),
     !.
 
@@ -108,11 +108,11 @@
         /* Term, then we need to parenthesize A                                 */
         AP >= Pred,
         write('('),
-        write_term(A, [priority(Pred), portrayed(true), numbervars(true)]),
+        write_term(A, [priority(Pred), portrayed(true), portray(true), numbervars(true)]),
         write(')')
     ;
         AP < Pred,
-        write_term(A, [priority(Pred), portrayed(true), numbervars(true)])
+        write_term(A, [priority(Pred), portrayed(true), portray(true), numbervars(true)])
     ),
     !.
 
@@ -134,11 +134,11 @@
         /* we need to parenthesize A                                            */
         AP > Pred,
         write('('),
-        write_term(A, [priority(Pred), portrayed(true), numbervars(true)]),
+        write_term(A, [priority(Pred), portrayed(true), portray(true), numbervars(true)]),
         write(')')
     ;
         AP =< Pred,
-        write_term(A, [priority(Pred), portrayed(true), numbervars(true)])
+        write_term(A, [priority(Pred), portrayed(true), portray(true), numbervars(true)])
     ),
     write(' '),
     write(Name_Atom),
--- a/checker/sicstus.pro
+++ b/checker/sicstus.pro
@@ -206,7 +206,7 @@
 	).
 
 printq(X) :-
-   write_term(X, [portrayed(true), quoted(true), numbervars(true)]).
+   write_term(X, [portrayed(true), portray(true), quoted(true), numbervars(true)]).
 
 /* This duplicates the poplog version of numbervars/3.  The sicstus version unifies */
 /* the variables with letters of the alphabet, whereas poplog uses _<number>        */
